SalesOS.

Revenue Attribution

Multi-touch revenue attribution

Generate a revenue attribution report

GET
/v1/revenue-attribution/report

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/revenue-attribution/report" \
  -H "Authorization: Bearer <token>"

Revenue attribution report

Get channel attribution breakdown (frontend path)

GET
/v1/revenue-attribution/channels

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/revenue-attribution/channels" \
  -H "Authorization: Bearer <token>"

Channel attribution breakdown

Get revenue breakdown by channel

GET
/v1/revenue-attribution/channel-breakdown

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/revenue-attribution/channel-breakdown" \
  -H "Authorization: Bearer <token>"

Channel revenue breakdown

Get campaign ROI analysis

GET
/v1/revenue-attribution/campaign-roi

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/revenue-attribution/campaign-roi" \
  -H "Authorization: Bearer <token>"

Campaign ROI data

Get revenue attribution configuration

GET
/v1/revenue-attribution/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/revenue-attribution/config" \
  -H "Authorization: Bearer <token>"

Attribution configuration

Update revenue attribution configuration

PATCH
/v1/revenue-attribution/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X PATCH "https://api.salesos.org/v1/revenue-attribution/config" \
  -H "Authorization: Bearer <token>"

Updated attribution configuration

Get touchpoints and attribution for a specific deal

GET
/v1/revenue-attribution/touchpoints/{dealId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

dealIdRequiredstring
curl -X GET "https://api.salesos.org/v1/revenue-attribution/touchpoints/<string>" \
  -H "Authorization: Bearer <token>"

Deal touchpoint attribution

Compare attribution models

GET
/v1/revenue-attribution/compare-models

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/revenue-attribution/compare-models" \
  -H "Authorization: Bearer <token>"

Model comparison result

Get revenue attribution statistics

GET
/v1/revenue-attribution/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/revenue-attribution/stats" \
  -H "Authorization: Bearer <token>"

Attribution statistics